Installation and whats new

Created with the Personal Edition of HelpNDoc: Create HTML Help, DOC, PDF and print manuals from 1 single source

Deltares


nesthd_installation.htm

Installation and whats new ››

How to install Nesthd:

1. Copy the entire directory to a directory on your own pc, for instance d:\nesthd, or, c:\delft3d\w32\nesthd

2. Create an environment variable (see Settings->Control Panel->System->Advanced) nesthd_path with as value the directory name where you placed the program (for instance d:\nesthd)

3. Nesthd uses Matlab libraries. You do not need to install the entire Matlab program. The libraries needed are installed by the MCRInstaller. Please use the MCRInstaller belonging with MATLAB R2019a (v9.6) because that is the matlab version used to generate the pre-compiled executable.

The MCRnstaller is downloadable for the Matlab site ( https://nl.mathworks.com/products/compiler/matlab-runtime.html )

4. Copy MCRInstaller.exe to local directory (e.g. d:\temp)

5. Run MCRInstaller.exe

6. Reboot PC

7. Run the nesting programs by typing nesthd on the command prompt, or, when working with TotalCommander, add a Nesthd button to your button bar. You will be able to start Nesthd from any directory.

As an alternative to running the executable you can start the program from the Matlab command prompt.

Created with the Personal Edition of HelpNDoc: Create iPhone web-based documentation

Deltares


what's new

Installation and whats new ››

The Nesting software is based on the Fortran programs I wrote over 15 years ago. It is written in matlab. The drawback is that it is slower than the origanal fortran version, however, much functionality is added.

The methodology is essentially the same. However, compared to the previous versions I also support:

    1. Nesting of parallel velocity components,
    2. Nesting of Riemann boundaries,
    3. Nesting of Neuman (water level gradients) boundaries,
    4. Nesting of SIMONA (Rijkswaterstaat) models. You can nest a SIMONA model into another SIMONA model or into a Delft3D-Flow model. The same applies to Delft3D-Flow models which can be nested into another Delft3D-Flow model or a SIMONA model. Filenames or used to identify whether it is a SIMONA or Delft3D-Flow file. Use Default names.
    5. A GUI is used to select files and add additional nesting information.
    6. Running from the command line using a session file (see te example run.bat)

I am still testing the new functionality so take care when nesting parallel velocity, Riemann or Neuman boundaries.

I rely heavy on functions already written by colleagues. Credits should go to Bert Jagers for his extensive set of tools for reading and writing files.

Update October 2022: Also nesting to and from D-Hydro (DFM) is supported! Check carefully! Although tested extensively, I cannot guarante a bugfree nesting tool.

Theo van der Kaaij

theo.vanderkaaij@deltares.nl

Created with the Personal Edition of HelpNDoc: Easy to use tool to create HTML Help files and Help web sites

Deltares